# SoColorIndex Class Reference
[Nodes]

`#include <Inventor/nodes/SoColorIndex.h>`

Inheritance diagram for SoColorIndex:

List of all members.

## Detailed Description

The SoColorIndex class is used to specify color indices for subsequent shapes.

This node should only be used in OpenGL color-index mode, and only when the current light model is set to SoLightModel::BASE_COLOR.

OpenGL colorindex mode is where the colors for individual pixels are fetched from a color lookup table ("CLUT"). The usual thing to do is to set up a canvas in RGBA truecolor mode.

One common use for colorindex mode OpenGL canvases is to use one in the overlay planes (which are usually limited to only 2 or 4 available colors), if supported by the OpenGL hardware and / or driver.

## Public Member Functions

| SoColorIndex (void)
virtual void | GLRender (SoGLRenderAction *action)

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoMFInt32 | index

## Protected Member Functions

virtual | ~SoColorIndex ()

## Constructor & Destructor Documentation

SoColorIndex::SoColorIndex | ( | void |  | ) |

| Constructor.

SoColorIndex::~SoColorIndex | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoColorIndex::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoNode.

void SoColorIndex::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoNode.

## Member Data Documentation

SoMFInt32 SoColorIndex::index

| Color indices which can be used by shapes.

The documentation for this class was generated from the following files:

- SoColorIndex.h
- SoColorIndex.cpp